Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156697 - Linux time doesn't match Apple's summer time
Summary: Linux time doesn't match Apple's summer time
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-date
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: fedora-ppc
TreeView+ depends on / blocked
 
Reported: 2005-05-03 14:16 UTC by Andrew Cagney
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-07 10:05:37 UTC


Attachments (Terms of Use)

Description Andrew Cagney 2005-05-03 14:16:52 UTC
Given "System clock uses UTC" disabled.

It would appear that Apple keeps the hwclock in local standard time. even during
summer.  The system clock being adjusted by an hr during summer.

GNU/Linux, on the other hand, appears to think that the hwclock should always
exactly match local time.  During summer this puts GNU/Linux and Apple one hr out.

Comment 1 David Woodhouse 2005-05-03 14:33:42 UTC
Apple stores the UTC delta in XPRAM, and I believe the kernel's RTC driver
automatically compensates for it -- thus you should be telling userspace that
the system clock _does_ use UTC.

Can you show the output of 'dmesg | grep GMT'?

Comment 2 Andrew Cagney 2005-05-06 01:23:49 UTC
Many reboots later (this really scrambles the clock):

System clock uses UTC disabled: Apple==21:xx; Linux=20:xx
System clock uses UTC enabled: Apple=21:xxx; linux=16:xx

GMT Delta read from XPRAM: -300 minutes, DST: off

Comment 3 Nils Philippsen 2006-03-14 15:45:15 UTC
Guys, I really don't think this is a s-c-date problem, can you please change it
to something more appropriate (don't ask me what is more appropriate -- I would
have changed it by myself if I knew).

Comment 4 Nils Philippsen 2006-04-07 10:05:37 UTC
I can't fix this in system-config-date, I think this can only be fixed in
util-linux (hwclock) or the kernel. Pick which one you like best ;-).


Note You need to log in before you can comment on or make changes to this bug.